<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Zoom Online block
 *
 * @package    block_zoomonline
 * @copyright  2024 Ciaran Mac Donncha
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once($_SERVER['DOCUMENT_ROOT'] . "/config.php");
global $CFG, $PAGE, $DB, $USER;
require_login();

$dataroot = $CFG->dataroot;

if (isset($_POST['id']) && isset($_POST['visible'])) {
    $id = filter_var($_POST['id'], FILTER_VALIDATE_INT);
    $visible = filter_var($_POST['visible'], FILTER_VALIDATE_INT);

    if ($id !== false && $visible !== false) {
        $table = 'block_zoomonline';
        $arr = ['id' => $id, 'visible' => $visible];
        $DB->update_record_raw($table, $arr);
    } else {
        echo "Invalid parameters provided.";
    }
} else {
    echo "Required parameters are missing.";
}
